<?php
	function HoorizaLGN_LoginLogoutTag($target) {
	
		global $blogURL, $pluginURL;
		
		//////////////////////////////////////////////////////
		//////////////////////////////////////////////////////
		//// 로그인/로그아웃 표시 글자를 바꾸고 싶으면 이곳을 고치세요
		$loginStr = "登入";
		$logoutStr = "登出";
		//////////////////////////////////////////////////////
		//////////////////////////////////////////////////////
		
		$url = getenv("REQUEST_URI");
		$url = urlencode($url);
	
		ob_start();
		
		if ($_SESSION[userid]) { // 로그인한 상태면
			?><a href="<?=$blogURL?>/logout?requestURI=<?=$url?>"><?=$logoutStr?></a><?
		} else { // 로그아웃 되어있는 상태면
			?><a href="<?=$blogURL?>/login?requestURI=<?=$url?>" onclick="HBASE.LGN.showWindow(this); return false;"><?=$loginStr?></a><?
		}
		
		$code = ob_get_clean();
		
		return $target.$code;
	}
	
	//

	function HoorizaLGN_BodyStart($target) {
	
		global $blogURL, $pluginURL;
		
		$uniq = uniqid("u");

		$url = getenv("REQUEST_URI");
		$url = urlencode($url);
		
		$loginid = $_COOKIE["TSSESSION_LOGINID"];
		$checked = $loginid !== "" ? 'checked="checked"' : '';
		
		$logedin = $_SESSION[userid] ? "true" : "false";

		$content = <<<EOD
	<form id="$uniq" class="lgn_window" method="post" action="$blogURL/login?requestURI=$url">
		<!-- 로그인창의 디자인을 고치고 싶으면 이곳을 고치세요 [시작부분] -->
		<h2>로그인</h2>
		<dl>
			<dt>邮箱</dt>
			<dd><input class="field" type="text" name="loginid" value="$loginid" /></dd>
		</dl>
		<dl>
			<dt>密码</dt>
			<dd><input class="field" type="password" name="password" /></dd>
		</dl>
		<dl class="save_email">
			<dd><input type="checkbox" name="save" id="save_$uniq" $checked></dd>
			<dt><label for="save_$uniq">保存邮箱</label></dt>
		</dl>
		<div class="buttons">
			<input type="submit" value="登入" />
			<input type="button" value="取消" onclick="HBASE.LGN.showWindow(false);" />
		</div>
		<!-- 로그인창의 디자인을 고치고 싶으면 이곳을 고치세요 [끝부분] -->
	</form>
	<script type="text/javascript" language="javascript">
		HBASE.LGN.initialize("$uniq", $logedin);
	</script>
EOD;
		
		return $content.$target;
	
	}

	function HoorizaLGN_HeadEnd($target) {
	
		global $blogURL, $pluginURL;
		
		$content = <<<EOD
	<script type="text/javascript" language="javascript" src="$pluginURL/scripts/lgn_main.js"></script>
	<link rel="stylesheet" type="text/css" href="$pluginURL/style.css" />
EOD;
		
		return $target.$content;
	}
	
?>